liborigin 2.0.0

Public Member Functions | Public Attributes | List of all members
Origin::TextBox Struct Reference

`#include <OriginObj.h>`

## Public Member Functions
| TextBox (const string &_text, const Rect &_clientRect, const Color &_color, unsigned short _fontSize, int _rotation, int _tab, BorderType _borderType, Attach _attach)
| TextBox (const string &_text="")

## Public Attributes
Attach | attach
BorderType | borderType
Rect | clientRect
Color | color
unsigned short | fontSize
int | rotation
int | tab
string | text

## Constructor & Destructor Documentation

## ◆ TextBox() [1/2]

Origin::TextBox::TextBox | ( | const string & | _text = `""` | ) |
| inline

## ◆ TextBox() [2/2]

Origin::TextBox::TextBox | ( | const string & | _text,
|  | const Rect & | _clientRect,
|  | const Color & | _color,
|  | unsigned short | _fontSize,
|  | int | _rotation,
|  | int | _tab,
|  | BorderType | _borderType,
|  | Attach | _attach
| ) |  |
| inline

## Member Data Documentation

## ◆ attach

Attach Origin::TextBox::attach

## ◆ borderType

BorderType Origin::TextBox::borderType

## ◆ clientRect

Rect Origin::TextBox::clientRect

## ◆ color

Color Origin::TextBox::color

## ◆ fontSize

unsigned short Origin::TextBox::fontSize

## ◆ rotation

int Origin::TextBox::rotation

## ◆ tab

int Origin::TextBox::tab

## ◆ text

string Origin::TextBox::text

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h